SendFailedException (JavaMail API documentation)
Date: 2019-08-31

javax.mail

## Class SendFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.SendFailedException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    SMTPAddressFailedException, SMTPSenderFailedException, SMTPSendFailedException

      public class SendFailedException
      extends MessagingException

  This exception is thrown when the message cannot be sent.

  The exception includes those addresses to which the message could not be sent as well as the valid addresses to which the message was sent and valid addresses to which the message was not sent.

  See Also:
    `Transport.send(javax.mail.Message)`, `Transport.sendMessage(javax.mail.Message, javax.mail.Address[])`, `TransportEvent`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Address[]` | `invalid`
    `protected Address[]` | `validSent`
    `protected Address[]` | `validUnsent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendFailedException()` Constructs a SendFailedException with no detail message.
    `SendFailedException(java.lang.String s)` Constructs a SendFailedException with the specified detail message.
    `SendFailedException(java.lang.String s, java.lang.Exception e)` Constructs a SendFailedException with the specified Exception and detail message.
    `SendFailedException(java.lang.String msg, java.lang.Exception ex, Address[] validSent, Address[] validUnsent, Address[] invalid)` Constructs a SendFailedException with the specified string and the specified address objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Address[]` | `getInvalidAddresses()` Return the addresses to which this message could not be sent.
    `Address[]` | `getValidSentAddresses()` Return the addresses to which this message was sent succesfully.
    `Address[]` | `getValidUnsentAddresses()` Return the addresses that are valid but to which this message was not sent.

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### invalid

          protected transient Address[] invalid

    - #### validSent

          protected transient Address[] validSent

    - #### validUnsent

          protected transient Address[] validUnsent

  - ### Constructor Detail

    - #### SendFailedException

          public SendFailedException()

      Constructs a SendFailedException with no detail message.

    - #### SendFailedException

          public SendFailedException(java.lang.String s)

      Constructs a SendFailedException with the specified detail message.
      Parameters:
        `s` - the detail message

    - #### SendFailedException

          public SendFailedException(java.lang.String s,
                                     java.lang.Exception e)

      Constructs a SendFailedException with the specified Exception and detail message. The specified exception is chained to this exception.
      Parameters:
        `s` - the detail message
        `e` - the embedded exception
      See Also:
        `MessagingException.getNextException()`, `MessagingException.setNextException(java.lang.Exception)`

    - #### SendFailedException

          public SendFailedException(java.lang.String msg,
                                     java.lang.Exception ex,
                                     Address[] validSent,
                                     Address[] validUnsent,
                                     Address[] invalid)

      Constructs a SendFailedException with the specified string and the specified address objects.
      Parameters:
        `msg` - the detail message
        `ex` - the embedded exception
        `validSent` - valid addresses to which message was sent
        `validUnsent` - valid addresses to which message was not sent
        `invalid` - the invalid addresses
      See Also:
        `MessagingException.getNextException()`, `MessagingException.setNextException(java.lang.Exception)`

  - ### Method Detail

    - #### getValidSentAddresses

          public Address[] getValidSentAddresses()

      Return the addresses to which this message was sent succesfully.
      Returns:
        Addresses to which the message was sent successfully or null

    - #### getValidUnsentAddresses

          public Address[] getValidUnsentAddresses()

      Return the addresses that are valid but to which this message was not sent.
      Returns:
        Addresses that are valid but to which the message was not sent successfully or null

    - #### getInvalidAddresses

          public Address[] getInvalidAddresses()

      Return the addresses to which this message could not be sent.
      Returns:
        Addresses to which the message sending failed or null;

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.